<!DOCTYPE html>

<html lang="en" xmlns:localhost="http://www.w3.org/1999/xhtml">

<head>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <meta charset="UTF-8">

    <title>Chat</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0">

    <style type="text/css">

        .bg-green {
            background: #19bd9b url("https://d1p42fqrbwqdsw.cloudfront.net/campaigns/background_images/000/015/207/web/MallzeeTwitterBackground.jpg");
        }

        .msg-box {
            overflow: scroll;
            width: 800px;
            height: 560px;
            margin: 0 auto;
        }

        .msg {
            border: 2px solid #dedede;
            background-color: #f1f1f1;
            border-radius: 5px;
            padding: 10px;
            margin: 10px 0;
        }

        .msg p {
            margin-bottom: 7px;
        }

        .avatar {
            float: left;
            max-width: 60px;
            width: 100%%;
            margin-right: 20px;
            border-radius: 50%%;
        }

        .darker {
            border-color: #ccc;
            background-color: #ddd;
            text-align: right;
        }

        .time-right {
            float: right;
            color: #aaa;
        }

        .time-left {
            float: left;
            color: #999;
        }

        .form-login {
            display: block;
            height: 100px;
        }

        .form-login input {
            width: 800px;
            margin-left: auto;
            margin-right: auto;
            display: block;
            height: 40px;
            border: 1px solid #D5D5D5;
            font-size: 14px;
            line-height: 1.2;
            padding: 5px 10px;
            margin-bottom: 10px;
        }

    </style>

</head>

<body class="bg-green">
<div class="container">
    <div class="row">
        <div class="col-12">
            <div id="MessageBox" class="msg-box">
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
                <div class="msg">
                    <div class="row">
                        <div class="col-2">
                            <img src="%s" alt="Avatar">
                        </div>
                        <div class="col-10">
                            <p>%s</p>
                            <p class="text-right">%s</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<form class="form-login" action="/chat" method="POST">
    <input name="message" type="text" class="mytext" placeholder="Type a message"/>
</form>

<script>
    var element = document.getElementById("MessageBox");
    element.scrollTop = element.scrollHeight;
</script>

</body>

</html>